Subject: bug#22690: ELPA repository is corrupted on Savannah

From: Paul Eggert <[email-masked]>
Date: Mon, 5 Mar 2018 15:25:58 -0800

On 03/05/2018 03:05 PM, Richard Stallman wrote:
> What practical problems does this cause for us?
>
> Do we have another repo that we can use?

The only practical problem that I know of is that if one tells Git to 
complain about the mistaken format, it'll complain. I suppose that a 
future version of Git could drop support for the mistaken format, but I 
view that as unlikely; and if it does happen we can work around the 
problem then.

It's not a question of whether to use Git or not, or whether to use 
another copy of the repository or not. Any simple Git clone of the 
current repository will have the same problem. Converting to any other 
repository format (e.g., Bzr) would be equivalent to converting to 
current Git format; either action would work around the problem equally 
well. Either action would also be a hassle, though, which is why we 
haven't done it.